> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thrivory.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a tokenized payout destination



## OpenAPI

````yaml api-reference/openapi.json post /v1/payout-accounts
openapi: 3.1.0
info:
  title: Thrivory ThriveNow API
  version: 1.0.0
  description: >-
    Unified API for claim review (predictions), adjudication & funding, claim
    status, webhooks, and reconciliation. Production access requires a BAA with
    Thrivory. All endpoints use HTTPS and JSON.
  contact:
    name: Thrivory Support
    email: support@thrivory.com
  termsOfService: https://thrivory.com/terms
servers:
  - url: https://api.sandbox.thrivory.com
    description: Sandbox
  - url: https://api.thrivory.com
    description: Production
security:
  - oauth2:
      - claims:read
      - claims:write
      - settlements:write
      - metadata:read
      - webhooks:manage
      - imports:write
      - payouts:write
tags:
  - name: Auth
  - name: Metadata
  - name: Claims
  - name: Adjudications & Settlements
  - name: Payout Accounts
  - name: Webhooks
  - name: Imports
  - name: Operations
paths:
  /v1/payout-accounts:
    post:
      tags:
        - Payout Accounts
      summary: Register a tokenized payout destination
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayoutAccountCreateRequest'
      responses:
        '200':
          description: Payout account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutAccount'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
      description: Provide a unique key per request to enable safe retries
  schemas:
    PayoutAccountCreateRequest:
      type: object
      properties:
        token:
          type: string
          description: Tokenized bank destination
      required:
        - token
    PayoutAccount:
      type: object
      properties:
        id:
          type: string
        last4:
          type: string
        bank_name:
          type: string
        status:
          type: string
          enum:
            - active
            - disabled
      required:
        - id
        - status
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
        request_id:
          type: string
        details:
          type: object
      required:
        - error
        - message
  responses:
    BadRequest:
      description: 400 Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: 500 Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.thrivory.com/v1/oauth/token
          scopes:
            claims:read: Read claims
            claims:write: Create and modify claims
            settlements:write: Create/confirm/cancel settlements
            metadata:read: Read reference data (payers, codes)
            webhooks:manage: Manage webhook endpoints
            imports:write: Submit import jobs
            payouts:write: Manage payout accounts

````